1. Account Management
Vortex
  • Documentation
    • Overview
    • Quick Start With The SDK
    • Authentication And Partner Keys
    • Ramp Lifecycle
    • Ephemeral Key Custody
    • Quotes And Pricing
    • Webhooks
    • Widget Integration
    • BRL / KYC notes
    • Sandbox
    • Production Checklist
    • AI Agent Integration
  • API Endpoints
    • Vortex Widget
      • Create widget session
    • Quotes
      • Create a new quote
      • Get existing quote
      • Create a quote for the best network
    • Ramp
      • Get ramp status
      • Get ramp error logs
      • Get ramp history for wallet address
      • Register new ramp process
      • Start ramp process
      • Update ramp process
    • Reference Data
      • Supported Countries
      • Supported Cryptocurrencies
      • Supported Fiat Currencies
      • Supported Payment Methods
    • Public Key
      • Public Key
    • Webhooks
      • Register Webhook
      • Delete Webhook
    • Account Management
      • Create user or retry KYC
        POST
      • Get user's KYC status
        GET
      • Get selfie liveness URL
        GET
      • Get KYC document upload URLs
        POST
      • Get user information
        GET
      • Get user's remaining transaction limits
        GET
      • Submit KYC level 1 data
        POST
      • Validate Pix key
        GET
    • Schemas
      • AccountMeta
      • AveniaDocumentType
      • AveniaKYCDataUploadRequest
      • AveniaKYCDataUploadResponse
      • BrlaAddress
      • BrlaErrorResponse
      • BrlaGetSelfieLivenessUrlResponse
      • BrlaValidatePixKeyResponse
      • CleanupPhase
      • CountryCode
      • CreateBestQuoteRequest
      • CreateQuoteRequest
      • CreateSubaccountRequest
      • CreateSubaccountResponse
      • DestinationType
      • DocumentUploadEntry
      • ErrorResponse
      • FiatToken
      • GetKycStatusResponse
      • GetRampErrorLogsResponse
      • GetRampHistoryResponse
      • GetRampHistoryTransaction
      • GetUserRemainingLimitResponse
      • GetUserResponse
      • GetWidgetUrlLocked
      • GetWidgetUrlRefresh
      • KYCDataUploadFileFiles
      • KYCDocType
      • KycLevel1Payload
      • KycLevel1Response
      • Networks
      • OnChainToken
      • PaymentData
      • PaymentMethod
      • PresignedTx
      • QuoteResponse
      • RampCurrency
      • RampDirection
      • RampErrorLog
      • RampPhase
      • RampProcess
      • RegisterRampRequest
      • SimpleStatus
      • StartKYC2Request
      • StartKYC2Response
      • StartRampRequest
      • TaxIdType
      • TriggerOfframpRequest
      • TriggerOfframpResponse
      • UnsignedTx
      • UpdateRampRequest
      • ValidatePixKeyResponse
  1. Account Management

Get KYC document upload URLs

Production
Production
POST
/v1/brla/getUploadUrls
Returns presigned upload URLs for the user's ID document and selfie. Only ID and DRIVERS-LICENSE are accepted for documentType (passport not supported here).
Auth: uses optionalAuth — accepts a Supabase Bearer token if present but does not require one.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Upload URLs returned.
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/brla/getUploadUrls' \
--header 'Content-Type: application/json' \
--data '{
    "documentType": "ID",
    "taxId": "string"
}'
Response Response Example
200 - Example 1
{
    "idUpload": {
        "id": "string",
        "livenessUrl": "string",
        "uploadURLBack": "string",
        "uploadURLFront": "string",
        "validateLivenessToken": "string"
    },
    "selfieUpload": {
        "id": "string",
        "livenessUrl": "string",
        "uploadURLBack": "string",
        "uploadURLFront": "string",
        "validateLivenessToken": "string"
    }
}
Modified at 2026-05-19 08:43:06
Previous
Get selfie liveness URL
Next
Get user information
Built with